package cscie160.project.account;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * Due 05-16-2001 <p>
  *
  * Account Interface class: <p>
  * <p>
  * Interface for account operations:
  * getBalance, deposit, and withdraw.
  * <p>
  * The actual implementation is in AccountImpl class
  * instead.
  * <p>
  * @since 		04-07-2001
  * @updated  	05-19-2001
  *
  */
  
public interface Account extends java.rmi.Remote
{
	public float getBalance() throws java.rmi.RemoteException;
	public void deposit(float amount) throws java.rmi.RemoteException;
	public void withdraw(float amount) throws java.rmi.RemoteException;
}