package cscie160.project.security;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.UnknownHostException;
import cscie160.project.account.AccountInfo;


/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * 05-16-2001 <p>
  * <p>
  * Provides testbed for remote testing.
  */

public class SecurityClient_Test
{
	public static void main(String[] args)
	{
		Security SecurityA = null;
		try
		{
			SecurityA = (Security)Naming.lookup("//localhost/Security");
		//	atm = factory.getATM();
		} catch(MalformedURLException mue)
		{
			mue.printStackTrace();
		} catch(NotBoundException nbe)
		{
			nbe.printStackTrace();
		} catch(UnknownHostException uhe)
		{
			uhe.printStackTrace();
		} catch(RemoteException re)
		{
			re.printStackTrace();
		}
		if(SecurityA!=null)
		{
			try
			{

				AccountInfo  acctInfoA = new AccountInfo(000001,1234);
				
				if(SecurityA.verifyAccount(acctInfoA))
				{
					System.out.println("number and pin correct!");
				}
				else
				{
					System.out.println("number and pin are not correct!");
				}
			} catch(RemoteException re)
			{
				System.out.println("An exception occurred while communicationg with the ATM");
				re.printStackTrace();
			}
		}
	}
}