package cscie160.project.account;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * Due 05-16-2001 <p>
  * <p>
  * AccountInfo class: <p>
  * Data object that stores account number and account pin.
  * once the pin is stored, it cannot be changed.
  * 
  */
public class AccountInfo implements java.io.Serializable
{
	private int AccountNum;
	private int AccountPIN;
	
	/**
	  * Constructor that requires account number and pin.
	  */
	public AccountInfo(int AcctNum, int AcctPIN)
	{
		AccountNum = AcctNum;
		AccountPIN = AcctPIN;
	}
	/** returns account number */
	public int getAccountNum()
	{
		return AccountNum;
	}
	
	/** returns Pin number */
	public int getPinNum()
	{
		return AccountPIN;
	}
	
	//Test Bed.
	public static void main(String argv[])
	{
		AccountInfo infoA;
		infoA = new AccountInfo(3324, 2234);
		System.out.println(infoA.getAccountNum() + "");
	}

}