package cscie160.project.security;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import cscie160.project.security.SecurityImpl;


/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * 05-16-2001 <p>
  * <p>
  * Provides testbed for remote testing.
  */

public class SecurityServer_Test
{

	public static void main(String argv[])
	{
		//Create and install a security manager
		System.setSecurityManager(new RMISecurityManager());
		try
		{
			SecurityImpl Security_I = new SecurityImpl();
			Naming.rebind("//localhost/Security", Security_I);
			System.out.println("Security bound in registery...");
		
		}catch (Exception e)
		{
			System.out.println("SecurityServer err: " + e.getMessage());
			e.printStackTrace();
		}
	}	
}