package cscie160.project.security.exception;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * 05-16-2001 <p>
  * <p>
  * UnpermittedTransactionException is thrown when account 
  * does not have the permission to perform the transaction.
  */
public class UnpermittedTransactionException extends Exception
{
  	public UnpermittedTransactionException () {  }
	  
	public UnpermittedTransactionException (String msg) 
	{
		super("UnpermittedTransactionException : " + msg);
	}

}
