package cscie160.project.security;

import cscie160.project.account.AccountInfo;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * DUE 05-16-2001 <p>
  * <p>
  * Provides Interface for Security Implementation.
  */
public interface Security extends java.rmi.Remote
{
	public void createSec(AccountInfo acct, boolean depPermission,
	            boolean withPermission, boolean balPermission)
	      throws java.rmi.RemoteException;

	public boolean getDepPermission(AccountInfo acct) throws java.rmi.RemoteException;
	public boolean getWithPermission(AccountInfo acct) throws java.rmi.RemoteException;
	public boolean getBalPermission(AccountInfo acct) throws java.rmi.RemoteException;
	public boolean verifyAccount(AccountInfo acct) throws java.rmi.RemoteException;

}